import qbs
import qbs.FileInfo

Product {
    name: "Test"

    //type: ["application"]
    type: ["application", "package-build-info"]

    Depends { name: "cpp" }
    Depends { name: "lib.libmod" }

    lib.libmod.dynamicLibraries: [
        "/usr/lib/ld-linux.so*",
        "/usr/lib/libopusfile.so*",
        "/usr/lib/libepub.so*",
    ]

    Rule {
        id: pkgbuild
        multiplex: true
        inputsFromDependencies: ["package-build"]

        Artifact {
            fileTags: ["package-build-info"]
            filePath: FileInfo.joinPaths(project.buildDirectory, "package_build_info")
        }
        prepare: {
            var cmd = new JavaScriptCommand();
            cmd.silent = true;
            cmd.sourceCode = function() {
                var outputFile = FileInfo.joinPaths(project.buildDirectory, "package_build_info");

                console.info("=== outputFile ===");
                console.info(outputFile);

                console.info("=== inputs ===");
                console.info(inputs);
                for(var propertyName in inputs) {
                    console.info(propertyName);
                }

                //for(var propertyName2 in inputs["package-build"]) {
                //    console.info(propertyName2);
                //}

                console.info("---");
                console.info(inputs["package-build"].length);

                for (var i in inputs["package-build"]) {
                    console.info("===");
                    console.info(inputs["package-build"][i].filePath);
                }

                //console.info("input.filePath");
                //console.info(input.filePath);

                //console.info("===");
                //console.info(input.lib.libmod.dynamicLibraries);
            }
            return cmd;
        }
    }

    files: [
        "main.cpp"
    ]
}
